.validCkanEndpoint {
  border: 1px solid darkgreen !important;
  color: darkgreen !important;
}

.validCkanEndpointMessage {
  color: darkgreen !important;
}

.invalidCkanEndpoint {
  border: 1px solid darkred !important;
  color: darkred !important;
}

.invalidCkanEndpointMessage {
  color: darkred !important;
}

.ckanEndpointValidating {
  color: darkslategray;
}

.ckanEndpointValidatingSpinner {
  content: '';
  width: 12px;
  height: 12px;
  border: 2px solid darkslategray;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: inline-block;
  box-sizing: border-box;
  animation: loading 1s linear infinite;
}

@keyframes loading {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}
